<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:32 CEST 2019 -->
<title>FirebirdPreparedStatement (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FirebirdPreparedStatement (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FirebirdParameterMetaData.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FirebirdResultSet.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FirebirdPreparedStatement.html" target="_top">Frames</a></li>
<li><a href="FirebirdPreparedStatement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Interface FirebirdPreparedStatement" class="title">Interface FirebirdPreparedStatement</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdStatement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../org/firebirdsql/jdbc/FirebirdCallableStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdCallableStatement</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html" title="class in org.firebirdsql.jdbc">AbstractCallableStatement</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html" title="class in org.firebirdsql.jdbc">AbstractPreparedStatement</a>, <a href="../../../org/firebirdsql/jdbc/FBCallableStatement.html" title="class in org.firebirdsql.jdbc">FBCallableStatement</a>, <a href="../../../org/firebirdsql/jdbc/FBPreparedStatement.html" title="class in org.firebirdsql.jdbc">FBPreparedStatement</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">FirebirdPreparedStatement</span>
extends <a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdStatement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a></pre>
<div class="block">Firebird extensions to the <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> interface.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:rrokytskyy@users.sourceforge.net">Roman Rokytskyy</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_COMMIT">TYPE_COMMIT</a></span></code>
<div class="block">A <code>COMMIT</code> statement</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_DDL">TYPE_DDL</a></span></code>
<div class="block">A DDL statment</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_DELETE">TYPE_DELETE</a></span></code>
<div class="block">A <code>DELETE</code> statement</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_EXEC_PROCEDURE">TYPE_EXEC_PROCEDURE</a></span></code>
<div class="block">An <code>EXEC PROCEDURE</code> statement</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_GET_SEGMENT">TYPE_GET_SEGMENT</a></span></code>
<div class="block">A GET SEGMENT statement</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_INSERT">TYPE_INSERT</a></span></code>
<div class="block">An <code>INSERT</code> statement</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_PUT_SEGMENT">TYPE_PUT_SEGMENT</a></span></code>
<div class="block">A PUT SEGMENT statement</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_ROLLBACK">TYPE_ROLLBACK</a></span></code>
<div class="block">A <code>ROLLBACK</code> statement</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_SELECT">TYPE_SELECT</a></span></code>
<div class="block">A <code>SELECT</code> statement</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_SELECT_FOR_UPDATE">TYPE_SELECT_FOR_UPDATE</a></span></code>
<div class="block">A <code>SELECT FOR UPDATE</code> statement</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_SET_GENERATOR">TYPE_SET_GENERATOR</a></span></code>
<div class="block">A <code>SET GENERATOR</code> statement</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_START_TRANS">TYPE_START_TRANS</a></span></code>
<div class="block">A START TRANSACTION statement</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_UPDATE">TYPE_UPDATE</a></span></code>
<div class="block">An <code>UPDATE</code> statement</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.sql.Statement">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#CLOSE_ALL_RESULTS" title="class or interface in java.sql">CLOSE_ALL_RESULTS</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#CLOSE_CURRENT_RESULT" title="class or interface in java.sql">CLOSE_CURRENT_RESULT</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#EXECUTE_FAILED" title="class or interface in java.sql">EXECUTE_FAILED</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#KEEP_CURRENT_RESULT" title="class or interface in java.sql">KEEP_CURRENT_RESULT</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#NO_GENERATED_KEYS" title="class or interface in java.sql">NO_GENERATED_KEYS</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#RETURN_GENERATED_KEYS" title="class or interface in java.sql">RETURN_GENERATED_KEYS</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#SUCCESS_NO_INFO" title="class or interface in java.sql">SUCCESS_NO_INFO</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#getExecutionPlan--">getExecutionPlan</a></span>()</code>
<div class="block">Get the execution plan of this PreparedStatement</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#getExplainedExecutionPlan--">getExplainedExecutionPlan</a></span>()</code>
<div class="block">Get the detailed execution plan of this PreparedStatement</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#getStatementType--">getStatementType</a></span>()</code>
<div class="block">Get the statement type of this PreparedStatement.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.jdbc.FirebirdStatement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdStatement</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html#getCurrentResultSet--">getCurrentResultSet</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html#getDeletedRowsCount--">getDeletedRowsCount</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html#getInsertedRowsCount--">getInsertedRowsCount</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html#getLastExecutionPlan--">getLastExecutionPlan</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html#getLastExplainedExecutionPlan--">getLastExplainedExecutionPlan</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html#getLocalStatementId--">getLocalStatementId</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html#getUpdatedRowsCount--">getUpdatedRowsCount</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html#hasOpenResultSet--">hasOpenResultSet</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html#isValid--">isValid</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.PreparedStatement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#addBatch--" title="class or interface in java.sql">addBatch</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#clearParameters--" title="class or interface in java.sql">clearParameters</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#execute--" title="class or interface in java.sql">execute</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#executeLargeUpdate--" title="class or interface in java.sql">executeLargeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#executeQuery--" title="class or interface in java.sql">executeQuery</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#executeUpdate--" title="class or interface in java.sql">executeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#getMetaData--" title="class or interface in java.sql">getMetaData</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#getParameterMetaData--" title="class or interface in java.sql">getParameterMetaData</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setArray-int-java.sql.Array-" title="class or interface in java.sql">setArray</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setAsciiStream-int-java.io.InputStream-" title="class or interface in java.sql">setAsciiStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setAsciiStream-int-java.io.InputStream-int-" title="class or interface in java.sql">setAsciiStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setAsciiStream-int-java.io.InputStream-long-" title="class or interface in java.sql">setAsciiStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setBigDecimal-int-java.math.BigDecimal-" title="class or interface in java.sql">setBigDecimal</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setBinaryStream-int-java.io.InputStream-" title="class or interface in java.sql">setBinaryStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setBinaryStream-int-java.io.InputStream-int-" title="class or interface in java.sql">setBinaryStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setBinaryStream-int-java.io.InputStream-long-" title="class or interface in java.sql">setBinaryStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setBlob-int-java.sql.Blob-" title="class or interface in java.sql">setBlob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setBlob-int-java.io.InputStream-" title="class or interface in java.sql">setBlob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setBlob-int-java.io.InputStream-long-" title="class or interface in java.sql">setBlob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setBoolean-int-boolean-" title="class or interface in java.sql">setBoolean</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setByte-int-byte-" title="class or interface in java.sql">setByte</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setBytes-int-byte:A-" title="class or interface in java.sql">setBytes</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setCharacterStream-int-java.io.Reader-" title="class or interface in java.sql">setCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setCharacterStream-int-java.io.Reader-int-" title="class or interface in java.sql">setCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setCharacterStream-int-java.io.Reader-long-" title="class or interface in java.sql">setCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setClob-int-java.sql.Clob-" title="class or interface in java.sql">setClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setClob-int-java.io.Reader-" title="class or interface in java.sql">setClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setClob-int-java.io.Reader-long-" title="class or interface in java.sql">setClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setDate-int-java.sql.Date-" title="class or interface in java.sql">setDate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setDate-int-java.sql.Date-java.util.Calendar-" title="class or interface in java.sql">setDate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setDouble-int-double-" title="class or interface in java.sql">setDouble</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setFloat-int-float-" title="class or interface in java.sql">setFloat</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setInt-int-int-" title="class or interface in java.sql">setInt</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setLong-int-long-" title="class or interface in java.sql">setLong</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setNCharacterStream-int-java.io.Reader-" title="class or interface in java.sql">setNCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setNCharacterStream-int-java.io.Reader-long-" title="class or interface in java.sql">setNCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setNClob-int-java.sql.NClob-" title="class or interface in java.sql">setNClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setNClob-int-java.io.Reader-" title="class or interface in java.sql">setNClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setNClob-int-java.io.Reader-long-" title="class or interface in java.sql">setNClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setNString-int-java.lang.String-" title="class or interface in java.sql">setNString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setNull-int-int-" title="class or interface in java.sql">setNull</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setNull-int-int-java.lang.String-" title="class or interface in java.sql">setNull</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setObject-int-java.lang.Object-" title="class or interface in java.sql">setObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setObject-int-java.lang.Object-int-" title="class or interface in java.sql">setObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setObject-int-java.lang.Object-int-int-" title="class or interface in java.sql">setObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setObject-int-java.lang.Object-java.sql.SQLType-" title="class or interface in java.sql">setObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setObject-int-java.lang.Object-java.sql.SQLType-int-" title="class or interface in java.sql">setObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setRef-int-java.sql.Ref-" title="class or interface in java.sql">setRef</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setRowId-int-java.sql.RowId-" title="class or interface in java.sql">setRowId</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setShort-int-short-" title="class or interface in java.sql">setShort</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setSQLXML-int-java.sql.SQLXML-" title="class or interface in java.sql">setSQLXML</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setString-int-java.lang.String-" title="class or interface in java.sql">setString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setTime-int-java.sql.Time-" title="class or interface in java.sql">setTime</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setTime-int-java.sql.Time-java.util.Calendar-" title="class or interface in java.sql">setTime</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setTimestamp-int-java.sql.Timestamp-" title="class or interface in java.sql">setTimestamp</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setTimestamp-int-java.sql.Timestamp-java.util.Calendar-" title="class or interface in java.sql">setTimestamp</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setUnicodeStream-int-java.io.InputStream-int-" title="class or interface in java.sql">setUnicodeStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setURL-int-java.net.URL-" title="class or interface in java.sql">setURL</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.Statement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#addBatch-java.lang.String-" title="class or interface in java.sql">addBatch</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#cancel--" title="class or interface in java.sql">cancel</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#clearBatch--" title="class or interface in java.sql">clearBatch</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#clearWarnings--" title="class or interface in java.sql">clearWarnings</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#close--" title="class or interface in java.sql">close</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#closeOnCompletion--" title="class or interface in java.sql">closeOnCompletion</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#execute-java.lang.String-" title="class or interface in java.sql">execute</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#execute-java.lang.String-int-" title="class or interface in java.sql">execute</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#execute-java.lang.String-int:A-" title="class or interface in java.sql">execute</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#execute-java.lang.String-java.lang.String:A-" title="class or interface in java.sql">execute</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeBatch--" title="class or interface in java.sql">executeBatch</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeLargeBatch--" title="class or interface in java.sql">executeLargeBatch</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeLargeUpdate-java.lang.String-" title="class or interface in java.sql">executeLargeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeLargeUpdate-java.lang.String-int-" title="class or interface in java.sql">executeLargeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeLargeUpdate-java.lang.String-int:A-" title="class or interface in java.sql">executeLargeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeLargeUpdate-java.lang.String-java.lang.String:A-" title="class or interface in java.sql">executeLargeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeQuery-java.lang.String-" title="class or interface in java.sql">executeQuery</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeUpdate-java.lang.String-" title="class or interface in java.sql">executeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeUpdate-java.lang.String-int-" title="class or interface in java.sql">executeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeUpdate-java.lang.String-int:A-" title="class or interface in java.sql">executeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeUpdate-java.lang.String-java.lang.String:A-" title="class or interface in java.sql">executeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getConnection--" title="class or interface in java.sql">getConnection</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getFetchDirection--" title="class or interface in java.sql">getFetchDirection</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getFetchSize--" title="class or interface in java.sql">getFetchSize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getGeneratedKeys--" title="class or interface in java.sql">getGeneratedKeys</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getLargeMaxRows--" title="class or interface in java.sql">getLargeMaxRows</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getLargeUpdateCount--" title="class or interface in java.sql">getLargeUpdateCount</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getMaxFieldSize--" title="class or interface in java.sql">getMaxFieldSize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getMaxRows--" title="class or interface in java.sql">getMaxRows</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getMoreResults--" title="class or interface in java.sql">getMoreResults</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getMoreResults-int-" title="class or interface in java.sql">getMoreResults</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getQueryTimeout--" title="class or interface in java.sql">getQueryTimeout</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getResultSet--" title="class or interface in java.sql">getResultSet</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getResultSetConcurrency--" title="class or interface in java.sql">getResultSetConcurrency</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getResultSetHoldability--" title="class or interface in java.sql">getResultSetHoldability</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getResultSetType--" title="class or interface in java.sql">getResultSetType</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getUpdateCount--" title="class or interface in java.sql">getUpdateCount</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getWarnings--" title="class or interface in java.sql">getWarnings</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#isClosed--" title="class or interface in java.sql">isClosed</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#isCloseOnCompletion--" title="class or interface in java.sql">isCloseOnCompletion</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#isPoolable--" title="class or interface in java.sql">isPoolable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setCursorName-java.lang.String-" title="class or interface in java.sql">setCursorName</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setEscapeProcessing-boolean-" title="class or interface in java.sql">setEscapeProcessing</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setFetchDirection-int-" title="class or interface in java.sql">setFetchDirection</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setFetchSize-int-" title="class or interface in java.sql">setFetchSize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setLargeMaxRows-long-" title="class or interface in java.sql">setLargeMaxRows</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setMaxFieldSize-int-" title="class or interface in java.sql">setMaxFieldSize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setMaxRows-int-" title="class or interface in java.sql">setMaxRows</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setPoolable-boolean-" title="class or interface in java.sql">setPoolable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setQueryTimeout-int-" title="class or interface in java.sql">setQueryTimeout</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.Wrapper">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true#isWrapperFor-java.lang.Class-" title="class or interface in java.sql">isWrapperFor</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true#unwrap-java.lang.Class-" title="class or interface in java.sql">unwrap</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="TYPE_SELECT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_SELECT</h4>
<pre>static final&nbsp;int TYPE_SELECT</pre>
<div class="block">A <code>SELECT</code> statement</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdPreparedStatement.TYPE_SELECT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_INSERT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_INSERT</h4>
<pre>static final&nbsp;int TYPE_INSERT</pre>
<div class="block">An <code>INSERT</code> statement</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdPreparedStatement.TYPE_INSERT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_UPDATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_UPDATE</h4>
<pre>static final&nbsp;int TYPE_UPDATE</pre>
<div class="block">An <code>UPDATE</code> statement</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdPreparedStatement.TYPE_UPDATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_DELETE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_DELETE</h4>
<pre>static final&nbsp;int TYPE_DELETE</pre>
<div class="block">A <code>DELETE</code> statement</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdPreparedStatement.TYPE_DELETE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_DDL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_DDL</h4>
<pre>static final&nbsp;int TYPE_DDL</pre>
<div class="block">A DDL statment</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdPreparedStatement.TYPE_DDL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_GET_SEGMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_GET_SEGMENT</h4>
<pre>static final&nbsp;int TYPE_GET_SEGMENT</pre>
<div class="block">A GET SEGMENT statement</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdPreparedStatement.TYPE_GET_SEGMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_PUT_SEGMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_PUT_SEGMENT</h4>
<pre>static final&nbsp;int TYPE_PUT_SEGMENT</pre>
<div class="block">A PUT SEGMENT statement</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdPreparedStatement.TYPE_PUT_SEGMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_EXEC_PROCEDURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_EXEC_PROCEDURE</h4>
<pre>static final&nbsp;int TYPE_EXEC_PROCEDURE</pre>
<div class="block">An <code>EXEC PROCEDURE</code> statement</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdPreparedStatement.TYPE_EXEC_PROCEDURE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_START_TRANS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_START_TRANS</h4>
<pre>static final&nbsp;int TYPE_START_TRANS</pre>
<div class="block">A START TRANSACTION statement</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdPreparedStatement.TYPE_START_TRANS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_COMMIT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_COMMIT</h4>
<pre>static final&nbsp;int TYPE_COMMIT</pre>
<div class="block">A <code>COMMIT</code> statement</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdPreparedStatement.TYPE_COMMIT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_ROLLBACK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_ROLLBACK</h4>
<pre>static final&nbsp;int TYPE_ROLLBACK</pre>
<div class="block">A <code>ROLLBACK</code> statement</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdPreparedStatement.TYPE_ROLLBACK">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_SELECT_FOR_UPDATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_SELECT_FOR_UPDATE</h4>
<pre>static final&nbsp;int TYPE_SELECT_FOR_UPDATE</pre>
<div class="block">A <code>SELECT FOR UPDATE</code> statement</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdPreparedStatement.TYPE_SELECT_FOR_UPDATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_SET_GENERATOR">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TYPE_SET_GENERATOR</h4>
<pre>static final&nbsp;int TYPE_SET_GENERATOR</pre>
<div class="block">A <code>SET GENERATOR</code> statement</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FirebirdPreparedStatement.TYPE_SET_GENERATOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getExecutionPlan--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExecutionPlan</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getExecutionPlan()
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get the execution plan of this PreparedStatement</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The execution plan of the statement</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getExplainedExecutionPlan--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExplainedExecutionPlan</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getExplainedExecutionPlan()
                          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get the detailed execution plan of this PreparedStatement</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The detailed execution plan of the statement</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getStatementType--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getStatementType</h4>
<pre>int&nbsp;getStatementType()
              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get the statement type of this PreparedStatement.
 The returned value will be one of the <code>TYPE_*</code> constant
 values.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The identifier for the given statement's type</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FirebirdParameterMetaData.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FirebirdResultSet.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FirebirdPreparedStatement.html" target="_top">Frames</a></li>
<li><a href="FirebirdPreparedStatement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
